Page MenuHomePhabricator

Make AffectedPagesFinder take STATEMENT_USAGE into account
Closed, ResolvedPublic

Description

AffectedPagesFinder should take EntityUsage::STATEMENT_USAGE into account when identifying relevant pages for a change.

This is needed if we want to stop also tracking all (X) or other (O) usages along with statement usages.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterUse statement usage tracking to find affected pages

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

thiemowmde triaged this task as Medium priority.Oct 28 2017, 11:45 AM
thiemowmde moved this task from incoming to ready to go on the Wikidata board.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptNov 30 2017, 4:28 PM

Change 394653 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Use statement usage tracking to find affected pages

https://gerrit.wikimedia.org/r/394653

Change 394653 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use statement usage tracking to find affected pages

https://gerrit.wikimedia.org/r/394653

is this task should be moved to closed/solved or are there any other issues not addressed in this above patch?

Lucas_Werkmeister_WMDE closed this task as Resolved.Dec 5 2017, 1:07 PM